<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: container  YAHOO.widget.ContainerEffect   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>Container&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_container.html">container</a>
                 &gt; YAHOO.widget.ContainerEffect 
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">


                    <h2>
                        

                        
                        
                            Class <b>YAHOO.widget.ContainerEffect</b>
                        <span class="extends">
                        </span>

                        <span class="extends">
                        </span>
                        
                        </code>
                    </h2>
                    <!-- class tree goes here -->
                    
                
  

                    <div class="summary description">
                        ContainerEffect encapsulates animation transitions that are executed when an Overlay is shown or hidden.
                    </div>

                        <div class="section constructor details">
                        <h3><a name="constructor_detail">Constructor</a></h3>
                        <div class="content">
                            <div class="detail">
                                <strong>YAHOO.widget.ContainerEffect</strong>
                                <code>
                                    (
  
                                        
                                                
                                                overlay

                                                , 
                                                attrIn

                                                , 
                                                attrOut

                                                , 
                                                targetElement

                                                , 
                                                Optional.
                                    )
                                </code>
                                <div class="description">
                                        <dl>
                                            <dt>Parameters:</dt>
                                                <dd>
                                                    <code>overlay
                                                    &lt;YAHOO.widget.Overlay&gt; 
                                                    </code>
                                                    		The Overlay that the animation should be associated with
                                                </dd>
                                                <dd>
                                                    <code>attrIn
                                                    &lt;Object&gt; 
                                                    </code>
                                                    		The object literal representing the animation arguments to be used for the animate-in transition. The arguments for this literal are: attributes(object, see YAHOO.util.Anim for description), duration(Number), and method(i.e. YAHOO.util.Easing.easeIn).
                                                </dd>
                                                <dd>
                                                    <code>attrOut
                                                    &lt;Object&gt; 
                                                    </code>
                                                    		The object literal representing the animation arguments to be used for the animate-out transition. The arguments for this literal are: attributes(object, see YAHOO.util.Anim for description), duration(Number), and method(i.e. YAHOO.util.Easing.easeIn).
                                                </dd>
                                                <dd>
                                                    <code>targetElement
                                                    &lt;HTMLElement&gt; 
                                                    </code>
                                                    	Optional. The target element that should be animated during the transition. Defaults to overlay.element.
                                                </dd>
                                                <dd>
                                                    <code>Optional.
                                                    &lt;class&gt; 
                                                    </code>
                                                     The animation class to instantiate. Defaults to YAHOO.util.Anim. Other options include YAHOO.util.Motion.
                                                </dd>
                                        </dl>
                                    
                                    
                                </div>
                            </div>
                        </div>
                    </div>

                        <div class="section field details">
                            <h3><a name="field_detail">Properties</a></h3>
                            <div class="content">
                                    <h4><a name="animClass">animClass</a>
                                        <code>- class</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The animation class to use for animating the overlay
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="attrIn">attrIn</a>
                                        <code>- Object</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The animation attributes to use when transitioning into view
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="attrOut">attrOut</a>
                                        <code>- Object</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The animation attributes to use when transitioning out of view
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="overlay">overlay</a>
                                        <code>- YAHOO.widget.Overlay</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The overlay to animate
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="targetElement">targetElement</a>
                                        <code>- HTMLElement</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The target element to be animated
                                        </div>
                                    </div>
     
                                        


                                    <hr />


                            </div>
                        </div>


                        <div class="section method details">
                            <h3><a name="methodDetails">Methods</a></h3>
                            <div class="content">
                                    <h4>
                                        <a name="animateIn">animateIn</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>animateIn</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Triggers the in-animation.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="animateOut">animateOut</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>animateOut</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Triggers the out-animation.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="FADE">FADE</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                         static 
                                        
                                        ContainerEffect
                                            <strong>FADE</strong>
                                           (
                                                
                                                        
                                                         overlay
                                                    
                                                
                                                        , 
                                                         dur
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            A pre-configured ContainerEffect instance that can be used for fading an overlay in and out.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>overlay &lt;Overlay&gt;</code>
                                                            	The Overlay object to animate
                                                        </dd>
                                                        <dd>
                                                            <code>dur &lt;Number&gt;</code>
                                                            	The duration of the animation
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        ContainerEffect
                                                    </code></dt>
                                                    <dd>The configured ContainerEffect object</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="handleCompleteAnimateIn">handleCompleteAnimateIn</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>handleCompleteAnimateIn</strong>
                                           (
                                                
                                                        
                                                         type
                                                    
                                                
                                                        , 
                                                         args
                                                    
                                                
                                                        , 
                                                         obj
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            The default onComplete handler for the in-animation.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>type &lt;String&gt;</code>
                                                            	The CustomEvent type
                                                        </dd>
                                                        <dd>
                                                            <code>args &lt;Object[]&gt;</code>
                                                            	The CustomEvent arguments
                                                        </dd>
                                                        <dd>
                                                            <code>obj &lt;Object&gt;</code>
                                                            	The scope object
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="handleCompleteAnimateOut">handleCompleteAnimateOut</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>handleCompleteAnimateOut</strong>
                                           (
                                                
                                                        
                                                         type
                                                    
                                                
                                                        , 
                                                         args
                                                    
                                                
                                                        , 
                                                         obj
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            The default onComplete handler for the out-animation.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>type &lt;String&gt;</code>
                                                            	The CustomEvent type
                                                        </dd>
                                                        <dd>
                                                            <code>args &lt;Object[]&gt;</code>
                                                            	The CustomEvent arguments
                                                        </dd>
                                                        <dd>
                                                            <code>obj &lt;Object&gt;</code>
                                                            	The scope object
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="handleStartAnimateIn">handleStartAnimateIn</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>handleStartAnimateIn</strong>
                                           (
                                                
                                                        
                                                         type
                                                    
                                                
                                                        , 
                                                         args
                                                    
                                                
                                                        , 
                                                         obj
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            The default onStart handler for the in-animation.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>type &lt;String&gt;</code>
                                                            	The CustomEvent type
                                                        </dd>
                                                        <dd>
                                                            <code>args &lt;Object[]&gt;</code>
                                                            	The CustomEvent arguments
                                                        </dd>
                                                        <dd>
                                                            <code>obj &lt;Object&gt;</code>
                                                            	The scope object
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="handleStartAnimateOut">handleStartAnimateOut</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>handleStartAnimateOut</strong>
                                           (
                                                
                                                        
                                                         type
                                                    
                                                
                                                        , 
                                                         args
                                                    
                                                
                                                        , 
                                                         obj
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            The default onStart handler for the out-animation.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>type &lt;String&gt;</code>
                                                            	The CustomEvent type
                                                        </dd>
                                                        <dd>
                                                            <code>args &lt;Object[]&gt;</code>
                                                            	The CustomEvent arguments
                                                        </dd>
                                                        <dd>
                                                            <code>obj &lt;Object&gt;</code>
                                                            	The scope object
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="handleTweenAnimateIn">handleTweenAnimateIn</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>handleTweenAnimateIn</strong>
                                           (
                                                
                                                        
                                                         type
                                                    
                                                
                                                        , 
                                                         args
                                                    
                                                
                                                        , 
                                                         obj
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            The default onTween handler for the in-animation.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>type &lt;String&gt;</code>
                                                            	The CustomEvent type
                                                        </dd>
                                                        <dd>
                                                            <code>args &lt;Object[]&gt;</code>
                                                            	The CustomEvent arguments
                                                        </dd>
                                                        <dd>
                                                            <code>obj &lt;Object&gt;</code>
                                                            	The scope object
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="handleTweenAnimateOut">handleTweenAnimateOut</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>handleTweenAnimateOut</strong>
                                           (
                                                
                                                        
                                                         type
                                                    
                                                
                                                        , 
                                                         args
                                                    
                                                
                                                        , 
                                                         obj
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            The default onTween handler for the out-animation.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>type &lt;String&gt;</code>
                                                            	The CustomEvent type
                                                        </dd>
                                                        <dd>
                                                            <code>args &lt;Object[]&gt;</code>
                                                            	The CustomEvent arguments
                                                        </dd>
                                                        <dd>
                                                            <code>obj &lt;Object&gt;</code>
                                                            	The scope object
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="init">init</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>init</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Initializes the animation classes and events.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="SLIDE">SLIDE</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                         static 
                                        
                                        ContainerEffect
                                            <strong>SLIDE</strong>
                                           (
                                                
                                                        
                                                         overlay
                                                    
                                                
                                                        , 
                                                         dur
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            A pre-configured ContainerEffect instance that can be used for sliding an overlay in and out.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>overlay &lt;Overlay&gt;</code>
                                                            	The Overlay object to animate
                                                        </dd>
                                                        <dd>
                                                            <code>dur &lt;Number&gt;</code>
                                                            	The duration of the animation
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        ContainerEffect
                                                    </code></dt>
                                                    <dd>The configured ContainerEffect object</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="toString">toString</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        String
                                            <strong>toString</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Returns a string representation of the object.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        String
                                                    </code></dt>
                                                    <dd>The string representation of the ContainerEffect</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                            </div>
                        </div>







			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class="selected"><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="YAHOO.util.Config.html">YAHOO.util.Config</a></li>
                                <li class=""><a href="YAHOO.util.KeyListener.html">YAHOO.util.KeyListener</a></li>
                                <li class="selected"><a href="YAHOO.widget.ContainerEffect.html">YAHOO.widget.ContainerEffect</a></li>
                                <li class=""><a href="YAHOO.widget.Dialog.html">YAHOO.widget.Dialog</a></li>
                                <li class=""><a href="YAHOO.widget.Module.html">YAHOO.widget.Module</a></li>
                                <li class=""><a href="YAHOO.widget.Overlay.html">YAHOO.widget.Overlay</a></li>
                                <li class=""><a href="YAHOO.widget.OverlayManager.html">YAHOO.widget.OverlayManager</a></li>
                                <li class=""><a href="YAHOO.widget.Panel.html">YAHOO.widget.Panel</a></li>
                                <li class=""><a href="YAHOO.widget.SimpleDialog.html">YAHOO.widget.SimpleDialog</a></li>
                                <li class=""><a href="YAHOO.widget.Tooltip.html">YAHOO.widget.Tooltip</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="Config.js.html">Config.js</a></li>
                                <li class=""><a href="ContainerEffect.js.html">ContainerEffect.js</a></li>
                                <li class=""><a href="Dialog.js.html">Dialog.js</a></li>
                                <li class=""><a href="KeyListener.js.html">KeyListener.js</a></li>
                                <li class=""><a href="Module.js.html">Module.js</a></li>
                                <li class=""><a href="Overlay.js.html">Overlay.js</a></li>
                                <li class=""><a href="OverlayManager.js.html">OverlayManager.js</a></li>
                                <li class=""><a href="Panel.js.html">Panel.js</a></li>
                                <li class=""><a href="SimpleDialog.js.html">SimpleDialog.js</a></li>
                                <li class=""><a href="Tooltip.js.html">Tooltip.js</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Properties</h4>
                        <ul class="content">        
                                <li><a href="#animClass">animClass</a>
                                        <!--<code>&lt;HTMLElement&gt;</code>-->
                                </li>
                                <li><a href="#attrIn">attrIn</a>
                                        <!--<code>&lt;HTMLElement&gt;</code>-->
                                </li>
                                <li><a href="#attrOut">attrOut</a>
                                        <!--<code>&lt;HTMLElement&gt;</code>-->
                                </li>
                                <li><a href="#overlay">overlay</a>
                                        <!--<code>&lt;HTMLElement&gt;</code>-->
                                </li>
                                <li><a href="#targetElement">targetElement</a>
                                        <!--<code>&lt;HTMLElement&gt;</code>-->
                                </li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Methods</h4>
                        <ul class="content">        
                                <li><!--<code>void</code>-->
                                <a href="#animateIn">animateIn</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#animateOut">animateOut</a>
                                </li>
                                <li><!--<code>ContainerEffect</code>-->
                                <a href="#FADE">FADE</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#handleCompleteAnimateIn">handleCompleteAnimateIn</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#handleCompleteAnimateOut">handleCompleteAnimateOut</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#handleStartAnimateIn">handleStartAnimateIn</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#handleStartAnimateOut">handleStartAnimateOut</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#handleTweenAnimateIn">handleTweenAnimateIn</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#handleTweenAnimateOut">handleTweenAnimateOut</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#init">init</a>
                                </li>
                                <li><!--<code>ContainerEffect</code>-->
                                <a href="#SLIDE">SLIDE</a>
                                </li>
                                <li><!--<code>String</code>-->
                                <a href="#toString">toString</a>
                                </li>
                        </ul>
                    </div>



            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
